/* 	Hyperterminal Parameters

	Bits = 8
	Baud = 19200
	Flow Control = None
	Parity = None
	Stop bits = 1
	
	To demonstrate the simplest form of RS232 Communication.
*/

#include <stdio.h>
#include <stdlib.h>
#include <pic.h>
#include "usart.h"

__CONFIG(HS & PWRTDIS & DUNPROT & UNPROTECT & BORDIS & DEBUGDIS & WDTDIS & LVPDIS);

void main()
{	
char keypress;

INTCON=0;		// Disable all interrupts.
init_comms();	// Sets up the USART - settings defined in usart.h

printf("Hello!\r\nI am working fine! Test successful!\r\n");	

	for(;;)
	{
		keypress = getch();
		putch(keypress);	
	}

}
